KUBERNETES(1)

NAME

kubectl config set-credentials - Sets a user entry in kubeconfig

SYNOPSIS

kubectl config set-credentials [OPTIONS]

DESCRIPTION

Sets a user entry in kubeconfig Specifying a name that already exists will merge new fields on top of existing values.

Client-certificate flags:
    --client-certificate=certfile --client-key=keyfile

Bearer token flags:
    --token=bearer_token

Basic auth flags:
    --username=basic_user --password=basic_password

Bearer token and basic auth are mutually exclusive.

OPTIONS

--client-certificate=""
    path to client-certificate for the user entry in kubeconfig

--client-key=""
    path to client-key for the user entry in kubeconfig

--embed-certs=false
    embed client cert/key for the user entry in kubeconfig

--password=""
    password for the user entry in kubeconfig

--token=""
    token for the user entry in kubeconfig

--username=""
    username for the user entry in kubeconfig

OPTIONS INHERITED FROM PARENT COMMANDS

--alsologtostderr=false
    log to standard error as well as files

--api-version=""
    The API version to use when talking to the server

--certificate-authority=""
    Path to a cert. file for the certificate authority.

--cluster=""
    The name of the kubeconfig cluster to use

--context=""
    The name of the kubeconfig context to use

--insecure-skip-tls-verify=false
    If true, the server's certificate will not be checked for validity. This will make your HTTPS connections insecure.

--kubeconfig=""
    use a particular kubeconfig file

--log-backtrace-at=:0
    when logging hits line file:N, emit a stack trace

--log-dir=""
    If non-empty, write log files in this directory

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--logtostderr=true
    log to standard error instead of files

--match-server-version=false
    Require server version to match client version

--namespace=""
    If present, the namespace scope for this CLI request.

-s, --server=""
    The address and port of the Kubernetes API server

--stderrthreshold=2
    logs at or above this threshold go to stderr

--user=""
    The name of the kubeconfig user to use

--v=0
    log level for V logs

--vmodule=
    comma-separated list of pattern=N settings for file-filtered logging

EXAMPLE

    # Set only the "client-key" field on the "cluster-admin"
    # entry, without touching other values:
    kubectl config set-credentials cluster-admin --client-key= /.kube/admin.key
    # Set basic auth for the "cluster-admin" entry
    kubectl config set-credentials cluster-admin --username=admin --password=uXFGweU9l35qcif
    # Embed client certificate data in the "cluster-admin" entry
    kubectl config set-credentials cluster-admin --client-certificate= /.kube/admin.crt --embed-certs=true

SEE ALSO

kubectl-config(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!